using System;

namespace DrugiKrug2020Bug
{
    class Program
    {
        
        static long PomazeBog(long[] niz, int k, int n, long s)
        {
            if(k == 0)
            {
                for (int i = 0; i < n; i++)
                {
                    s += niz[i];
                }
                
            }
            else
            {
                for(int i = 0; i < n; i++)
                {
                    for(int j = i; j < n; j++)
                    {
                        long[] podniz = new long[j - i + 1];
                        for(int h = i, g = 0; h <= j; h++, g++)
                        {
                            podniz[g] = niz[h];
                        }
                        s = PomazeBog(podniz, k - 1, podniz.Length, s);
                    }
                }
                
            }
            return s;
        }
        static void Main(string[] args)
        {
            string[] ulaz1 = Console.ReadLine().Split();
            int n = int.Parse(ulaz1[0]);
            int k = int.Parse(ulaz1[1]);
            string[] ulaz2 = Console.ReadLine().Split();
            long[] brojevi = new long[n + 1];
            for(int i = 0; i < n; i++)
            {
                brojevi[i] = int.Parse(ulaz2[i]);
            }
            long s = 0;
            Console.WriteLine(PomazeBog(brojevi, k, n, s));
        }
    }
}